Bug 998964 - pcs resource group remove <group_name> does not remove group resources
pcs resource group remove <group_name> does not remove group resources
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.0
Unspecified Unspecified
low Severity urgent
: rc
: ---
Assigned To: Chris Feist
Cluster QE
:
Depends On:
Blocks: 998970
  Show dependency treegraph
 
Reported: 2013-08-20 08:43 EDT by michal novacek
Modified: 2014-06-17 19:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: pcs-0.9.74-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 998970 (view as bug list)
Environment:
Last Closed: 2014-06-13 06:26:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michal novacek 2013-08-20 08:43:16 EDT
Description of problem:
I do have a resource in a group haa-group-0. When issuing 'pcs resource
group remove haa-group-0' the group is removed but the resource from this group
is not deleted and remains as ungrupped resources. This is quite unexpected.

Version-Release number of selected component (if applicable):
pcs-0.9.67-2.el6.noarch

How reproducible: always

Steps to Reproduce:
1. create a group with resources using pcs
2. issue 'pcs resource group remove <group_name>'

Actual results: resource are not removed

Expected results: resources should be removed with the group

Additional info:
It would be nice to either have parameter to force resources removal and not to
do it by default or the other way round. Current behaviour is confusing.

$ pcs status
Cluster name: STSRHTS17392
Last updated: Tue Aug 20 14:38:58 2013
Last change: Tue Aug 20 14:38:55 2013 via cibadmin on virt-061
Stack: corosync
Current DC: virt-063 (3) - partition with quorum
Version: 1.1.10-12.el7-368c726
3 Nodes configured
2 Resources configured


Online: [ virt-061 virt-062 virt-063 ]

Full list of resources:

 virt-fencing   (stonith:fence_xvm):    Started virt-062 
 Resource Group: haa-group-0
     apache-0   (ocf::heartbeat:apache):        Stopped 


PCSD Status:
  virt-061: Online
  virt-062: Online
  virt-063: Online

Daemon Status:
  corosync: active/disabled
  pacemaker: active/disabled
  pcsd: active/enabled

# pcs resource group remove haa-group-0

# pcs status
Cluster name: STSRHTS17392
Last updated: Tue Aug 20 14:39:15 2013
Last change: Tue Aug 20 14:39:10 2013 via cibadmin on virt-063
Stack: corosync
Current DC: virt-063 (3) - partition with quorum
Version: 1.1.10-12.el7-368c726
3 Nodes configured
2 Resources configured


Online: [ virt-061 virt-062 virt-063 ]

Full list of resources:

 virt-fencing   (stonith:fence_xvm):    Started virt-062 
 apache-0       (ocf::heartbeat:apache):        Stopped 


PCSD Status:
  virt-061: Online
  virt-062: Online
  virt-063: Online

Daemon Status:
  corosync: active/disabled
  pacemaker: active/disabled
  pcsd: active/enabled
Comment 2 michal novacek 2013-08-20 08:54:25 EDT
version of pcs in the initial post should be: pcs-0.9.71-2.el7.x86_64
Comment 3 Chris Feist 2013-08-26 17:35:33 EDT
This is fixed in 0.9.74 and beyond by using 'pcs resource delete <group name>'
Comment 6 Ludek Smid 2014-06-13 06:26:59 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.